Bug 184523 - Update devel/py-robotframework to version 2.8.3
Summary: Update devel/py-robotframework to version 2.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-05 20:20 UTC by vladimir.chukharev
Modified: 2013-12-07 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (892 bytes, patch)
2013-12-05 20:20 UTC, vladimir.chukharev
no flags Details | Diff
py-robotframework-update_2.8.2_to_2.8.3.patch2.txt (1.46 KB, text/plain)
2013-12-05 21:43 UTC, Vladimir Chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2013-12-05 20:20:00 UTC
Update devel/py-robotframework from version 2.8.2 to 2.8.3. This a bug fixing update, mostly about java.

An important note. With stage allowed, at least one file (islike.py) is not installed. I'm not sure if this deserves a separate PR...

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-05 20:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Vladimir Chukharev 2013-12-05 21:43:21 UTC
Sorry, I forget to update plist. Corrected patch attached.

-- 
Vladimir Chukharev
Comment 3 William Grzybowski freebsd_committer 2013-12-06 12:32:04 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-12-06 12:32:27 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-12-06 12:32:28 UTC
Author: wg
Date: Fri Dec  6 12:32:18 2013
New Revision: 335741
URL: http://svnweb.freebsd.org/changeset/ports/335741

Log:
  devel/py-robotframework: update to 2.8.3
  
  PR:		ports/184523
  Submitted by:	maintainer

Deleted:
  head/devel/py-robotframework/pkg-plist
Modified:
  head/devel/py-robotframework/Makefile
  head/devel/py-robotframework/distinfo

Modified: head/devel/py-robotframework/Makefile
==============================================================================
--- head/devel/py-robotframework/Makefile	Fri Dec  6 12:25:48 2013	(r335740)
+++ head/devel/py-robotframework/Makefile	Fri Dec  6 12:32:18 2013	(r335741)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	robotframework
-PORTVERSION=	2.8.2
+PORTVERSION=	2.8.3
 CATEGORIES=	devel www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -14,5 +14,6 @@ LICENSE=	AL2
 
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 .include <bsd.port.mk>

Modified: head/devel/py-robotframework/distinfo
==============================================================================
--- head/devel/py-robotframework/distinfo	Fri Dec  6 12:25:48 2013	(r335740)
+++ head/devel/py-robotframework/distinfo	Fri Dec  6 12:32:18 2013	(r335741)
@@ -1,2 +1,2 @@
-SHA256 (robotframework-2.8.2.tar.gz) = da1cb3318a349a7c359a4f0c78d75c87561791f12235dc48551400bee2bf6c5f
-SIZE (robotframework-2.8.2.tar.gz) = 568721
+SHA256 (robotframework-2.8.3.tar.gz) = bb8ca9bad5152a3ac19e4dfc6e097324b31a4a8879d66c268e61d3eb577fd2f4
+SIZE (robotframework-2.8.3.tar.gz) = 570523
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Vladimir Chukharev 2013-12-07 11:02:31 UTC
wg@, thanks for committing.

Frankly speaking, I do not think a change from static pkg-plist to a dynamic one
is a minor change... The port works fine with a corrected static plist and no
NO_STAGE line, I have checked that.

Do I understand correctly, that a port without NO_STAGE=yes uses pkg-plist for
installing from the stage dir to the destination dir? If so, then dynamic plist
can be used to find the list of installed files for pkg-plist generation, but is
not needed in normal use.

Previously, I used 'port test' (from ports-mgmt/porttools) to find changes in
plist. Probably, porttools can be fixed for this task also with staging. Else,
a maintainer (me in case of devel/py-robotframework) can use dynamic plist for
generating the static one. I still believe a static plist is better, as the
porters-handbook suggests.

It would be nice to have something about staging in porters-handbook, actually.
Now I'm guessing what staging is doing and what it needs...

-- 
Vladimir Chukharev
Comment 7 Vladimir Chukharev 2013-12-07 20:31:13 UTC
My version of porters-handbook was too old. The new one has all the needed information on staging IMHO.

-- 
Vladimir Chukharev